# isa-family-tree

Family tree of instruction set architectures

## TODO

* Timeline
  * Year not always available..
  * Some dates:
    * 4004: 1971, 8008: 1972, TMS1000: 1974
    * 8080: 1974, Z80: 1976, Z8: 1979, 87AD: 1980, 17K: 197x
    * Z180: 1982, Z800: 1985, LR35902: 198x, Z280: 1986, Z380: 1994, eZ80: 2001
    * 78K0: 1986, RL78: 2010
    * 6800: 1974, 6502: 1975, 6809: 1978, 68HC11: 1984, 68HC12: 199x
    * 68516: 1983, 68k: 1979, '010: 1982, '020: 1984, '030: 1987, '040: 1990, '060: 1994
    * ColdFire: 1994, VAX: 1977, PDP-11: 1970, H8/300: 199x, ARMv2: 1986
    * ARMv4: 1994, SuperH: 1990, RX: 2009, V810, 1991, V850: 1994
    * MSP430: 1992, V60: 1986, V70: V987, V80: 1989
* Other archs:
  * PIC stuff
  * Old 4-bit stuff: HMCS-4000, MARC4, TLCS-47, Sharp SM510, μCOM-4x, COP400, ...
  * TMS320 successors (C2x/C5x/C6x/...)
  * Research RISCs (CRX, Sunway, Unicore, M-CORE, which others?)
  * GPU instruction sets (VC4, which?)
  * 8051 clones and stuff (8052, EFM8, XC800, C166, ...) (do we want these?)
  * 6502 clones (eg. 740) (do we want these?)
  * x86 and ARM Cortex-A variants? (eh, these are more like ISA extensions rather than versions)
  * Weird automotive stuff (TriCore, C500, M32C/M32R/R32C/..., ...)
  * Special-purpose coprocessors (Cell SPU, RP2040 PIO, ESP32 ULP, AM3xx PRU, ...)
  * Special-purpose cores (eSi-RISC, Lanai, Epiphany, NIOS-II, NDS32, LM8, PicoBlaze, MN10200/MN10300, FT32, Vinculum, ...)
  * Other weird stuff (MAXQ, µ'nSP, Propeller, TriMedia, VSDSP4, Pokémon Mini, XMOS stuff, GameCube DSP, JagRISC, ...)
  * Other obscure stuff (F18A, HT48, LGT8, MIL-STD-1750A, P1750A, S1C88, iAPX 432, i860, Am2900, LC8670, Lapis/ROHM ML6, ...)
  * Other old small stuff (TMS7000, CP1610, µPD7720, NS16k, NS32k, Fairchild F8, Sinegestics 2650, μCOM-8x, ...)
  * Other old big stuff (PDP-11 predecessors, Cray machines, Apollo Guidance Computer, ...)
  * Stuff from https://github.com/mamedev/mame/tree/master/src/devices/cpu
  * Stuff from https://github.com/bminor/binutils-gdb/tree/master/include/elf

